using System;

namespace Server.Core
{
    /// <summary>
    /// 引用池对象
    /// </summary>
    public interface IReference : IDisposable
    {
        bool IsFromPool
        {
            get;
            set;
        }

        long ReferenceId
        {
            get;
            set;
        }
    }
    
    public abstract class Reference : IReference
    {
        public bool IsFromPool
        {
            get;
            set;
        }

        public long ReferenceId
        {
            get;
            set;
        }

        public abstract void Dispose();
    }
}